--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: "TODO: document @api private"
  name: operator
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: "TODO: document @api private"
  name: target
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: []

full_name: DataMapper::Query::Operator
includes: 
- !ruby/object:RI::IncludedModule 
  name: Extlib::Assertions
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: inspect
name: Operator
superclass: Object
